.image-uploader {
    display: block;
}

.image-uploader__dropzone {
    max-width: 100%;
    height: 300px;
    border: 2px dashed #ccc;
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.image-uploader__dropzone:hover {
    background-color: #fff4e8;
}

.image-uploader__dropzone-title {
    font-size: 22px;
}

.image-uploader_active {
    border: 2px solid #ccc;
    border-color: #fd7e14;
}

.image-uploader-progress {
    display: flex;
    min-height: 200px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    background: #f9f9f9;
    border-radius: 8px;
    border: 2px dashed #ddd;
}

.image-uploader-progress .progress-indicator {
    width: 50px;
    height: 50px;
    border: 4px solid var(--bs-primary);
    border-top: 4px solid #f5f5f5;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 15px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.image-uploader-progress .progress-text {
    color: #666;
    font-size: 14px;
    font-weight: 500;
    text-align: center;
}

.preview-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
}

.preview {
    position: relative;
    max-width: 300px;
    min-width: 200px;
    min-height: 200px;
    margin: 0 auto;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: #f5f5f5;
    overflow: hidden; 
    text-align: center;
    border-radius: 8px;
}

.preview__image {
    max-width: 100%;
    max-height: 50vh;
    width: auto;
    height: auto;
    object-fit: contain;
    border-radius: 8px;
    background-color: #f5f5f5;
}

.preview__next-btn {
    width: 32px;
    height: 32px;
    position: absolute;
    top: calc(50% - 16px);
    right: 8px;
    color: #99a2ad;
    background-color: rgba(255, 255, 255, 0.7);
}

.preview__prev-btn {
    width: 32px;
    height: 32px;
    position: absolute;
    top: calc(50% - 16px);
    left: 8px;
    color: #99a2ad;
    background-color: rgba(255, 255, 255, 0.7);
}

.preview__next-btn:hover,
.preview__prev-btn:hover {
    background-color: rgba(255, 255, 255, 1) !important;
    color: #323232 !important;
}


.preview__delete-btn {
    position: absolute;
    width: 32px;
    height: 32px;
    top: 8px;
    right: 8px;
    color: #323232;
    background-color: rgba(255, 255, 255, 0.7);
}

.preview__delete-btn:hover {
    background-color: rgba(255, 255, 255, 1);
}

.preview__edit-btn {
    
}

.preview__counter {
    position: absolute;
    bottom: 0;
    right: 8px;    
    color: #99a2ad;
    font-size: 18px;
    font-weight: 600;
    border-radius: 16px;
}

@media(min-width: 768px) {
    .preview {
        max-width: 400px;
        min-width: 200px;
        min-height: 200px;
    }
}
